Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04531 Sound Minor Always Nov 12, 2011, 17:13 Oct 12, 2019, 07:49
Tester Sixtoe View Status Public Platform MAME (Self-compiled)
Assigned To Tafoid Resolution Fixed OS
Status [?] Resolved Driver segas32.cpp
Version 0.143u9 Fixed in Version 0.215 Build
Summary 04531: f1en: Engine noise loops/resets
Description The engine noise loops/resets
Steps To Reproduce Get into game, it's obvious straight away.
Additional Information Original Regression 0.128u7 - Fixed once 0.144u1 by Tafoid:
https://github.com/mamedev/mame/commit/830eefba2a0a21fae40e5ea9e0859051d96ff056

Re-regressed again 0.198 - May 10th, 2018
https://github.com/mamedev/mame/commit/85c788bb9ab6127c51d0546c601b7b5860d4339a
Flags
Regression Version 0.198
Affected Sets / Systems f1en
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.07883
Tafoid
Administrator
Nov 13, 2011, 20:39
Killed when a 'useless' line was taken out in r3898. Readded this line and sound is restored for the engines.
User avatar
No.17063
Hydreigon
Tester
Oct 10, 2019, 23:48
edited on: Oct 11, 2019, 03:50
This bug oddly enough returned as of 0.214. Idk what regressed the engine sound again.

Edit: Many thanks Taifoid.
User avatar
No.17066
Tafoid
Administrator
Oct 11, 2019, 01:21
If you take all comments out of something added (as in history), you are doomed to repeat... sadly.
Updated/reopened bug and regression points.